package cn.yw.archive.videoarchive.bean;

import cn.base.bean.BaseBean;
//[运维监控档案基本信息]

public class YwarchivevideoinfoBean extends BaseBean implements java.io.Serializable {
	private String archivevideoid;//[档案id]
	private String videoid;//[设备id]
	private String videonum;//[设备编号]
	private int channelnum;//[通道编号]
	private String channelname;//[通道名称]
	private int networkproperty;//[联网属性]
	private String outsidecode;//[外部设备编码]
	private int videofactory;//[设备厂商]
	private int videotype;//[摄像机类型]
	private int videolightproperty;//[摄像机补光属性]
	private String videoresolution;//[摄像机分辨率]
	private int videocodeformat;//[编码格式]
	private String videomacaddress;//[摄像机MAC地址]
	private String departmentid;//[建设管理单位id]
	private String videoinstalladdress;//[安装地址]
	private String videopointname;//[点位俗称]
	private String longitude;//[经度]
	private String dimension;//[维度]
	private int videopositiontype;//[摄像机位置类型扩展]
	private int installpositiontype;//[摄像机安装位置室外、室内属性]
	private int monitorposition;//[摄像机监视方位]
	private String videoip;//[设备ip信息]
	private String videoport;//[设备端口]
	private String videopassword;//[设备口令]
	private String buildcompany;//[承建单位]
	private String buildcompanyname;//[承建单位]
	private String operationcompany;//[运维单位]
	private String operationcompanyname;//[运维单位]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setArchivevideoid(String archivevideoid){
		this.archivevideoid = archivevideoid;
	}
	public String getArchivevideoid(){
		return archivevideoid;
	}
	public void setVideoid(String videoid){
		this.videoid = videoid;
	}
	public String getVideoid(){
		return videoid;
	}
	public void setVideonum(String videonum){
		this.videonum = videonum;
	}
	public String getVideonum(){
		return videonum;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setChannelname(String channelname){
		this.channelname = channelname;
	}
	public String getChannelname(){
		return channelname;
	}
	public void setNetworkproperty(int networkproperty){
		this.networkproperty = networkproperty;
	}
	public int getNetworkproperty(){
		return networkproperty;
	}
	public void setOutsidecode(String outsidecode){
		this.outsidecode = outsidecode;
	}
	public String getOutsidecode(){
		return outsidecode;
	}
	public void setVideofactory(int videofactory){
		this.videofactory = videofactory;
	}
	public int getVideofactory(){
		return videofactory;
	}
	public void setVideotype(int videotype){
		this.videotype = videotype;
	}
	public int getVideotype(){
		return videotype;
	}
	public void setVideolightproperty(int videolightproperty){
		this.videolightproperty = videolightproperty;
	}
	public int getVideolightproperty(){
		return videolightproperty;
	}
	public void setVideoresolution(String videoresolution){
		this.videoresolution = videoresolution;
	}
	public String getVideoresolution(){
		return videoresolution;
	}
	public void setVideocodeformat(int videocodeformat){
		this.videocodeformat = videocodeformat;
	}
	public int getVideocodeformat(){
		return videocodeformat;
	}
	public void setVideomacaddress(String videomacaddress){
		this.videomacaddress = videomacaddress;
	}
	public String getVideomacaddress(){
		return videomacaddress;
	}
	public void setDepartmentid(String departmentid){
		this.departmentid = departmentid;
	}
	public String getDepartmentid(){
		return departmentid;
	}
	public void setVideoinstalladdress(String videoinstalladdress){
		this.videoinstalladdress = videoinstalladdress;
	}
	public String getVideoinstalladdress(){
		return videoinstalladdress;
	}
	public void setVideopointname(String videopointname){
		this.videopointname = videopointname;
	}
	public String getVideopointname(){
		return videopointname;
	}
	public void setLongitude(String longitude){
		this.longitude = longitude;
	}
	public String getLongitude(){
		return longitude;
	}
	public void setDimension(String dimension){
		this.dimension = dimension;
	}
	public String getDimension(){
		return dimension;
	}
	public void setVideopositiontype(int videopositiontype){
		this.videopositiontype = videopositiontype;
	}
	public int getVideopositiontype(){
		return videopositiontype;
	}
	public void setInstallpositiontype(int installpositiontype){
		this.installpositiontype = installpositiontype;
	}
	public int getInstallpositiontype(){
		return installpositiontype;
	}
	public void setMonitorposition(int monitorposition){
		this.monitorposition = monitorposition;
	}
	public int getMonitorposition(){
		return monitorposition;
	}
	public void setVideoip(String videoip){
		this.videoip = videoip;
	}
	public String getVideoip(){
		return videoip;
	}
	public void setVideoport(String videoport){
		this.videoport = videoport;
	}
	public String getVideoport(){
		return videoport;
	}
	public void setVideopassword(String videopassword){
		this.videopassword = videopassword;
	}
	public String getVideopassword(){
		return videopassword;
	}
	public void setBuildcompany(String buildcompany){
		this.buildcompany = buildcompany;
	}
	public String getBuildcompany(){
		return buildcompany;
	}
	public void setBuildcompanyname(String buildcompanyname){
		this.buildcompanyname = buildcompanyname;
	}
	public String getBuildcompanyname(){
		return buildcompanyname;
	}
	public void setOperationcompany(String operationcompany){
		this.operationcompany = operationcompany;
	}
	public String getOperationcompany(){
		return operationcompany;
	}
	public void setOperationcompanyname(String operationcompanyname){
		this.operationcompanyname = operationcompanyname;
	}
	public String getOperationcompanyname(){
		return operationcompanyname;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}